<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_funfair.faq.title')"
  [showBackButton]="true"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <div class="flex-list-medium">
    <p class="sub-header">{{ t('feature_funfair.faq.sub_title') }}</p>

    <div *ngFor="let section of sections; let i = index" class="section">
      <h2>{{ t(section.title) }}</h2>
      <p>{{ t(section.content) }}</p>
      @if (section.boothNumber > 0) {
        <lib-action-button-bar
          [actions]="[
            {
              label: t('feature_funfair.buttons.funfair_map'),
              icon: 'map',
              onClick: navigateToFunfairMap.bind(
                this,
                section.boothNumber,
                section.category
              ),
            },
          ]"
        >
        </lib-action-button-bar>
      } @else if (section.linkUrl) {
        <lib-action-button-bar
          [actions]="[
            {
              label: t('feature_funfair.buttons.in_browser'),
              icon: 'open_in_new',
              linkUrl: section.linkUrl,
            },
            {
              label: t('feature_funfair.buttons.share'),
              onClick: shareLink.bind(this, section.linkUrl),
              icon: 'share',
            },
          ]"
        >
        </lib-action-button-bar>
      } @else {
        <lib-action-button-bar
          [actions]="[
            {
              label: t(
                'feature_funfair.arrival_stay.special_timetable.timetable'
              ),
              icon: 'open_in_new',
              onClick: openPDF.bind(this, section.pdfUrl),
            },
          ]"
        >
        </lib-action-button-bar>
      }
    </div>

    <div class="flex-list-minor">
      <h2 class="further-questions">
        {{ t('feature_funfair.faq.further_questions.title') }}
      </h2>
      <p class="sub-header">
        {{ t('feature_funfair.faq.further_questions.sub_title') }}
      </p>
      <lib-action-button-bar
        [actions]="[
          {
            label: t('feature_funfair.buttons.in_browser'),
            icon: 'open_in_new',
            linkUrl:
              'https://www.allerheiligenkirmes.de/de/veranstaltungen/herbst/allerheiligenkirmes/allgemeine-infos.php#anchor_99d66575_Haeufig-gestellte-Fragen',
          },
          {
            label: t('feature_funfair.buttons.share'),
            onClick: shareLink.bind(
              this,
              'https://www.allerheiligenkirmes.de/de/veranstaltungen/herbst/allerheiligenkirmes/allgemeine-infos.php#anchor_99d66575_Haeufig-gestellte-Fragen'
            ),
            icon: 'share',
          },
        ]"
      >
      </lib-action-button-bar>
    </div>
  </div>
</lib-condensed-header-layout>
